WITH   Win32 ;
WITH   Win32.Windef ;
WITH   Win32.Wingdi ;
WITH   Win32.Winuser ;

PACKAGE   CharTb33_Pkg  IS
   IgnoredB : Win32.BOOL ;
   IgnoredI : Win32.INT ;
   IgnoredP : Win32.PSTR ;

   C_MainWndClass : ALIASED Win32.Winuser.WNDCLASS ;

   G_Message : ALIASED Win32.Winuser.MSG ;

   G_MainPaintedOnceQ : Standard.BOOLEAN ;

   FUNCTION   MainWindow_Proc   ( I_HWnd    : Win32.Windef.HWND
                                ; I_Message : Win32.UINT
                                ; I_WParam  : Win32.WPARAM
                                ; I_LParam  : Win32.LPARAM )  RETURN  Win32.LRESULT ;
   PRAGMA   Convention   ( Stdcall , MainWindow_Proc );   -- Important!

   FUNCTION   CP   ( I_Str : Win32.CHAR_Array )  RETURN  Win32.LPCSTR ;
   FUNCTION   CPS   ( I_Str : Win32.CHAR_Array )  RETURN  Win32.LPSTR ;
END CharTb33_Pkg;
